=== debian/changelog ===
ros-noetic-tesseract-visualization (0.4.1-1buster) buster; urgency=high



 -- Levi Armstrong <Levi.Armstrong@swri.org>  Sat, 24 Apr 2021 05:00:00 -0000

ros-noetic-tesseract-visualization (0.4.0-1buster) buster; urgency=high

  * Fix issue in trajectory_player calling size if trajectory does not exist
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Fri, 23 Apr 2021 05:00:00 -0000

ros-noetic-tesseract-visualization (0.3.1-1buster) buster; urgency=high

  * Move tesseract_variables() before any use of custom macros
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Wed, 14 Apr 2021 05:00:00 -0000

ros-noetic-tesseract-visualization (0.3.0-1buster) buster; urgency=high

  * Only enable code coverage if compiler definition is set
  * Fix issue in trajectory player setCurrentDuration not handling finished bool
  * Move serialize implementation to cpp based on boost documentation for shared libraries
  * Rename Any method cast() and cast_const() to as()
  * Split loading plugins into two classes ClassLoader and PluginLoader
  * Remove dependency on class_loader and leverage Boost DLL
  * Add cmake format
  * Add support for defining collision margin data in SRDF (#573 <https://github.com/ros-industrial-consortium/tesseract/issues/573>)
  * Use boost targets, add cpack and license file (#572 <https://github.com/ros-industrial-consortium/tesseract/issues/572>)
  * Fix the way in which Eigen is included (#570 <https://github.com/ros-industrial-consortium/tesseract/issues/570>)
  * Add scale to tool path marker
  * Modify trajectory interpolator to visualize trajectories w/o time
  * Start to adding boost serialization support
  * Contributors: Hervé Audren, Levi Armstrong, Matthew Powelson

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Fri, 09 Apr 2021 05:00:00 -0000

ros-noetic-tesseract-visualization (0.2.0-1buster) buster; urgency=high

  * Update cmake_common_scripts to ros_industrial_cmake_boilerplate
  * Improve code coverage for tesseract_kinematics core
  * Add SWIG shared_ptr commands to visualization markers
  * Add marker support and remove dependency on command language
  * Move all directories in tesseract directory up one level
  * Contributors: John Wason, Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Wed, 17 Feb 2021 06:00:00 -0000

ros-noetic-tesseract-visualization (0.1.0-1buster) buster; urgency=high



 -- Levi Armstrong <Levi.Armstrong@swri.org>  Thu, 31 Dec 2020 06:00:00 -0000
