=== debian/control ===
Source: ros-noetic-tesseract-visualization
Section: misc
Priority: optional
Maintainer: Levi Armstrong <Levi.Armstrong@swri.org>
Build-Depends: debhelper (>= 9.0.0), cmake, libconsole-bridge-dev, libeigen3-dev, ros-noetic-ros-industrial-cmake-boilerplate, ros-noetic-tesseract-collision, ros-noetic-tesseract-common, ros-noetic-tesseract-environment, ros-noetic-tesseract-scene-graph
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-tesseract-visualization
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libconsole-bridge-dev, libeigen3-dev, ros-noetic-tesseract-collision, ros-noetic-tesseract-common, ros-noetic-tesseract-environment, ros-noetic-tesseract-scene-graph
Description: The tesseract_visualization package
